Bug 1124435 - Editing host shows an organization/location when none is set on the host
Summary: Editing host shows an organization/location when none is set on the host
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-29 13:31 UTC by Andrew Schofield
Modified: 2019-07-11 08:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:12:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Andrew Schofield 2014-07-29 13:31:53 UTC
Description of problem:

2 Issues:

1) menu item 'Hosts -> All hosts ' indicates you have NO hosts when Org / Region set via Org / Location tab despite the server in question having the correct 'Organization' and 'Location' set on the Host->All Hosts->host->Edit tab (which cannot be changed).

2) The Host->All Hosts->host->Properties view for Location and Organization is out of sync with the Location / Organization settings in Host->All Hosts->host->Edit (It is set correctly in the Edit tab (and can't be changed) but blank in the Properties tab).

Comment 1 RHEL Product and Program Management 2014-07-29 13:34:05 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Dominic Cleal 2014-07-30 09:27:06 UTC
The issues described are actually correct behaviour, but stem from the edit screen (which is used as a point of reference in the description) incorrectly showing an org/loc when none is actually set.  It's probably defaulting to the first in the list rather than showing a blank entry.

Comment 4 Dominic Cleal 2014-07-30 09:36:57 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6832 from this bug

Comment 5 Bryan Kearney 2015-01-05 15:03:05 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6832 has been closed
-------------
Anonymous
Applied in changeset commit:65292474dcf224acf68d3b23741548553bf34629.

Comment 8 Tazim Kolhar 2015-03-16 09:54:34 UTC
VERIFIED:


# rpm -qa | grep foreman
rubygem-hammer_cli_foreman_tasks-0.0.3.3-1.el6_6sat.noarch
foreman-proxy-1.7.2.3-1.el6_6sat.noarch
foreman-ovirt-1.7.2.10-1.el6_6sat.noarch
ruby193-rubygem-foreman-tasks-0.6.12.1-1.el6_6sat.noarch
rubygem-hammer_cli_foreman_bootdisk-0.1.2.5-1.el6_6sat.noarch
ruby193-rubygem-foreman_abrt-0.0.5-2.el6_6sat.noarch
foreman-compute-1.7.2.10-1.el6_6sat.noarch
foreman-libvirt-1.7.2.10-1.el6_6sat.noarch
ruby193-rubygem-foreman_discovery-2.0.0.6-1.el6_6sat.noarch
rubygem-hammer_cli_foreman-0.1.4.6-1.el6_6sat.noarch
foreman-selinux-1.7.2.8-1.el6_6sat.noarch
foreman-gce-1.7.2.10-1.el6_6sat.noarch
ruby193-rubygem-foreman_docker-1.2.0.3-1.el6_6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.9-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-client-1.0-1.noarch
foreman-debug-1.7.2.10-1.el6_6sat.noarch
foreman-vmware-1.7.2.10-1.el6_6sat.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2.8-1.el6_6sat.noarch
qe-sat6-rhel66.usersys.redhat.com-foreman-proxy-1.0-2.noarch
foreman-1.7.2.10-1.el6_6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6_6sat.noarch
rubygem-hammer_cli_foreman_discovery-0.0.1.2-1.el6_6sat.noarch
ruby193-rubygem-foreman_gutterball-0.0.1.9-1.el6_6sat.noarch
foreman-postgresql-1.7.2.10-1.el6_6sat.noarch

Comment 9 Bryan Kearney 2015-08-11 13:19:11 UTC
This bug is slated to be released with Satellite 6.1.

Comment 10 errata-xmlrpc 2015-08-12 05:12:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.